Bug 447925 - ttys go black "virusstyle" when Xorg starts
Summary: ttys go black "virusstyle" when Xorg starts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-22 13:58 UTC by Joacim
Modified: 2018-04-11 09:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:41:48 UTC


Attachments (Terms of Use)
Install log (25.42 KB, text/plain)
2008-05-22 13:58 UTC, Joacim
no flags Details
lspci output (1.60 KB, text/plain)
2008-05-22 13:59 UTC, Joacim
no flags Details
dmesg output (22.41 KB, text/plain)
2008-05-22 14:00 UTC, Joacim
no flags Details
xorg.conf (593 bytes, text/plain)
2008-05-23 08:45 UTC, Joacim
no flags Details
Xorg.0.log logged using the attached xorg.conf (26.61 KB, text/plain)
2008-05-23 08:46 UTC, Joacim
no flags Details
Xorg.1.log logged with the attached xorg.conf (21.24 KB, text/plain)
2008-05-23 08:47 UTC, Joacim
no flags Details
Xorg.0.log logged using no xorg.conf in /etc/X11 (23.01 KB, text/plain)
2008-05-23 08:48 UTC, Joacim
no flags Details

Description Joacim 2008-05-22 13:58:13 UTC
Description of problem:
After a fresh DVD install all the text in my ttys disappeared in a virus/matrix
like surreal moment. They are now useless and black. Switching terminals back
and forth between X and tty helps sometimes for some seconds and then it's all
dark again. Xorg seems to work just fine. (Ctl-Alt-F7)

Version-Release number of selected component (if applicable):
Not sure if the triggering component (Xorg) also is the main problem.

How reproducible:
Always, every time I reboot I can see the disapearing ttys when I change back
and forth between Ctl-Alt-F1-6 and Ctl-Alt-F7. How long I have to wait for the
text erasing to start varies from seconds to two minutes.
HW: Tested with two different computers (identical models)
    memtest is OK after 45 passes on one of them.
SW: Verifyed SHA1SUM of Fedora-9-i386-DVD.iso - OK.

Steps to Reproduce:
1. Fresh install of Fedora-9-i386-DVD.iso
2. Try logging in to Xorg as root => You bounce back to the login-window.
3. Switch to a tty and wait for some seconds. Surreal virus-like! Something  
starts to erase my letters!
  
Actual results:
Terminals are rendered useless.

Expected results:
Normal terminal with predictable text-flow.


Additional info:
System was installed with only the root user account.

Comment 1 Joacim 2008-05-22 13:58:13 UTC
Created attachment 306383 [details]
Install log

Comment 2 Joacim 2008-05-22 13:59:53 UTC
Created attachment 306384 [details]
lspci output

Comment 3 Joacim 2008-05-22 14:00:15 UTC
Created attachment 306385 [details]
dmesg output

Comment 4 Matěj Cepl 2008-05-22 20:06:36 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 5 Joacim 2008-05-23 08:45:24 UTC
Created attachment 306456 [details]
xorg.conf

Comment 6 Joacim 2008-05-23 08:46:46 UTC
Created attachment 306457 [details]
Xorg.0.log logged using the attached xorg.conf

Comment 7 Joacim 2008-05-23 08:47:22 UTC
Created attachment 306458 [details]
Xorg.1.log logged with the attached xorg.conf

Comment 8 Joacim 2008-05-23 08:48:30 UTC
Created attachment 306460 [details]
Xorg.0.log logged using no xorg.conf in /etc/X11

Comment 9 Bug Zapper 2009-06-10 01:05:37 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 17:41:48 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.